import { JY_MENU_QUERY, SHY_MENU_QUERY, SYS_MENU_QUERY, BMD_MENU_QUERY } from '../../src/common/constant';
import dd from 'gdt-jsapi';
Page({
  data: {
    radius: true,
    personalGeneralInfo: {},
    showOrder: true,
    list: [
      {
        entitle: '待我审批',
        icon: '../../src/assets/wait.png',
        page: '../orderList/orderList?arrIndex=0',
        title: '待我审批'
      },
      {
        entitle: '我的申请',
        icon: '../../src/assets/wait.png',
        page: '../orderList/orderList?arrIndex=0',
        title: '我的申请'
      },
      {
        entitle: '审批通过',
        icon: '../../src/assets/disagree.png',
        page: '../orderList/orderList?arrIndex=1',
        title: '审批通过'
      },
      {
        entitle: '订单完成',
        icon: '../../src/assets/finish.png',
        page: '../orderList/orderList?arrIndex=3',
        title: '订单完成'
      },
    ],
    menuList: []
  },
  handleMenuTap(e) {
    dd.navigateTo({
      url: e.target.dataset.info
    })
  },
  showOrder() {
    dd.navigateTo({
      url: '../orderList/orderList'
    })
  },
  onItemTap(event) {
    let index = event.target.dataset.index
    dd.navigateTo({
      url: this.data.list[index].page
    })
  },
  onLoad() {
    let myMenu = []
    if (getApp().globalData.userInfo.roleCodeList.find(i => i ==='gly')) {
      myMenu = myMenu.concat(SYS_MENU_QUERY)
    }
    if (getApp().globalData.userInfo.roleCodeList.find(i => i ==='jy')) {
      myMenu = myMenu.concat(JY_MENU_QUERY)
    }
    if (getApp().globalData.userInfo.roleCodeList.find(i => i ==='ld')) {
      myMenu = myMenu.concat(SHY_MENU_QUERY)
    }
    if (getApp().globalData.userInfo.roleCodeList.find(i => i ==='bmd')) {
      myMenu = myMenu.concat(BMD_MENU_QUERY)
      this.setData({
        showOrder: false
      })
    }
    let obj = {}
    let result = myMenu.reduce((item, next) => {
      obj[next.thumb] ? '' : obj[next.thumb] = true && item.push(next)
      return item
    }, [])
    this.setData({
      personalGeneralInfo: {
        userName: getApp().globalData.userInfo.name,
        company: getApp().globalData.userInfo.sysDepart.departName,
        avatar: getApp().globalData.userInfo.avatar
      },
      menuList: result
    });
  },
});
